#	$NetBSD: Makefile.common,v 1.34 2008/03/08 10:38:59 phx Exp $

# These define parts of the Xserver tree that are to be
# conditionally compiled for different platforms.  See
# below for descriptions of each variable.


.if ${MACHINE} == "x68k"
XSERVER_X68K=		yes
.endif

.if ${MACHINE} == "alpha"
XSERVER_XALPHANETBSD=	yes
.endif

.if ${MACHINE} == "amiga"
XSERVER_XAMIGA=		yes
XSERVER_HAS_AFB=	yes
.endif

.if ${MACHINE} == "acorn32"
XSERVER_XARM32VIDC=	yes
.endif

.if ${MACHINE} == "alpha" || ${MACHINE} == "pmax"
XSERVER_XDECNETBSD=	yes
.endif

.if ${MACHINE} == "atari"
XSERVER_HAS_IPLAN?=	yes
#XSERVER_XFREE68=	yes
.endif

.if ${MACHINE} == "dreamcast"
XSERVER_XDREAMCAST?=	yes
.endif

.if ${MACHINE} == "ews4800mips"
XSERVER_XEWS4800MIPS?=	yes
.endif

.if ${MACHINE} == "newsmips"
XSERVER_XNEWSMIPS?=	yes
.endif

# XFree86 servers all need XFONT as well.
.if ${MACHINE} == "i386" || ${MACHINE} == "amd64" || \
    ${MACHINE} == "macppc" || ${MACHINE} == "cats" || \
    ${MACHINE} == "sgimips" || ${MACHINE} == "sparc64" || \
    ${MACHINE} == "sparc" || ${MACHINE} == "ofppc" || \
    ${MACHINE} == "netwinder" || ${MACHINE} == "shark"
XSERVER_NEEDS_XFONT=	yes
XSERVER_NEEDS_MIEXT=	yes
XSERVER_XFREE86=	yes
# XXX xfree 4.5 installs libafb for i386 and others?
.if ${MACHINE} == "i386"
XSERVER_HAS_AFB=	yes
.endif
.endif

.if ${MACHINE} == "hpcmips" || ${MACHINE} == "hpcarm" || ${MACHINE} == "hpcsh"
XSERVER_XHPC=		yes
.endif

.if ${MACHINE} == "mac68k"
XSERVER_XMAC68K=	yes
.endif

.if ${MACHINE} == "macppc"
XSERVER_XMACPPC=	yes
.endif

.if ${MACHINE} == "sparc" || ${MACHINE} == "sparc64" || ${MACHINE} == "sun3"
XSERVER_XSUN=		yes
XSERVER_XSUNMONO=	yes
.endif

.if ${MACHINE} == "sparc" || ${MACHINE} == "sparc64"
XSERVER_XSUN24=		yes
.endif


# Does this server need Xfont/fontbase libraries?
XSERVER_NEEDS_XFONT?=	no
# Does this server need miext modules?
XSERVER_NEEDS_MIEXT?=	yes
# Does this server use cfb* libraries?
XSERVER_HAS_CFB?=	yes
# Does this server use fb library?
XSERVER_HAS_FB?=	yes
# Does this server use afb library?
XSERVER_HAS_AFB?=	no
# Does this server use iplan2p? libraries?
XSERVER_HAS_IPLAN?=	no

# Does this platform build X68k X servers?
XSERVER_X68K?=	no
# Does this platform build the XalphaNetBSD server?
XSERVER_XALPHANETBSD?=	no
# Does this platform build Xamiga X server?
XSERVER_XAMIGA?=no
# Does this platform build the Xarm32VIDC server?
XSERVER_XARM32VIDC?=	no
# Does this platform build the XdecNetBSD server?
XSERVER_XDECNETBSD?=	no
# Does this platform build the Xdmx server?
XSERVER_XDMX?=		yes
# Does this platform build the Xdreamcast server?
XSERVER_XDREAMCAST?=	no
# Does this platform build the Xews4800mips server?
XSERVER_XEWS4800MIPS?=	no
# Does this platform build the Xnewsmips server?
XSERVER_XNEWSMIPS?=	no
# Does this platform build the Xfree68 servers?
XSERVER_XFREE68?=	no
# Does this platform build XFree86 X server?
XSERVER_XFREE86?=	no
# Does this platform build Xhpc X servers?
XSERVER_XHPC?=	no
# Does this platform build the Xmac68k X server?
XSERVER_XMAC68K?=	no
# Does this platform build Xmacppc X server?
XSERVER_XMACPPC?=	no
# Does this platform build Xsun* X servers?
XSERVER_XSUN?=		no
XSERVER_XSUNMONO?=	no
XSERVER_XSUN24?=	no
# Does this platform build Xvfb X server?
XSERVER_XVFB?=	yes
